package com.zbf.system.domain;

    import java.math.BigDecimal;
import java.util.Date;

    import lombok.Data;
    import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;
    import org.apache.poi.ss.usermodel.IndexedColors;

/**
 * 出库物料明细对象 t_ck_orderdetail
 *
 * @author tony
 * @date 2024-06-24
 */

public class TCkOrderdetail extends BaseEntity  {
private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.INPUT)
    private String id;

    /** 主表id */
    @Excel(name = "主表id",type = Excel.Type.EXPORT)
    private String orderId;

    /** 子需求编号 */
    @Excel(name = "子需求编号",sort = 2)
    private String businessId;

    /** 物料编号 */
    @Excel(name = "*物料编号",required = true,headerColor= IndexedColors.RED,sort = 6)
    private String goodsId;

    /** 物料名称 */
    @Excel(name = "*物料名称",required = true,headerColor= IndexedColors.RED,sort = 7)
    private String goodsName;

    /** 库位编号 */
    @Excel(name = "库位编号")
    private String locationId;

    /** 规格 */
    @Excel(name = "规格型号")
    private String specification;

    /** 单位 */
    @Excel(name = "*单位",required = true,comboDictType = "goods_unit",headerColor= IndexedColors.RED,sort = 8)
    private String unit;

    /** 仓库 */
    @Excel(name = "仓库编号",sort = 4)
    private String storageId;
    /** 仓库名称 */
    @Excel(name = "仓库名称")
    private String storageShortName;
    /** 需求数量 */
    @Excel(name = "*需求数量",required = true,headerColor= IndexedColors.RED,sort = 9)
    private BigDecimal shelvesNum;

    /** 本次出库数量 */
//    @Excel(name = "本次出库数量")
    private BigDecimal goodsNum;

    /** 呼叫数量 */
    @Excel(name = "已呼叫数量")
    private BigDecimal callShelvesNum;

    /** 标准价 */
    @Excel(name = "标准价")
    private BigDecimal price;

    /** 物料分类 */
    @Excel(name = "物料分类")
    private String goodsTypeId;

    /** 供应商 */
    @Excel(name = "供应商")
    private String providerId;

    /** 物料描述 */
    @Excel(name = "物料描述")
    private String recoil;

    /** 库区 */
    @Excel(name = "库区")
    private String storageAreaId;

    /** 总出库数量 */
//    @Excel(name = "总出库数量")
    private BigDecimal pickNum;

    /** 确认出库数量 */
//    @Excel(name = "确认出库数量")
    private BigDecimal trNum;

    /** 条形码 */
    private String barcode;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** AGV站台 */
    private String toLoc;

    /** 确认状态 */
//    @Excel(name = "确认状态")
    private String confirmStatus;

    /** 到期时间 */
    private Date expiryDate;

    /** 库存数量 */
    @Excel(name = "库存数量")
    private BigDecimal stockNum;

    /** 呼叫任务号 */
//    @Excel(name = "呼叫任务号")
    private String taskId;

    /** ABC分类 */
    @Excel(name = "ABC分类")
    private String abc;

    /** 1:一级库 2：二级库 */
    @Excel(name = "*仓库类别",comboDictType = "storage_classification",required = true,headerColor= IndexedColors.RED,sort = 5)
    private String levelType;

    /** 交货单号 */
//    @Excel(name = "*来源单号",required = true,headerColor= IndexedColors.RED,sort = 1)
    private String deliveryId;
    /** 出库类型 */
    @Excel(name = "*出库类型",comboDictType = "outbound_type",required = true,headerColor= IndexedColors.RED,sort = 3)
    private String ckType;
    /** 订单类型 */
    @Excel(name = "订单类型")
    private String orderType;
    /** 申请部门 */
//    @Excel(name = "申请部门")
    private String supplier;
    @Excel(name = "物资流向")
    private String goodsTo;
    /** 申请人 */
    @Excel(name = "申请人")
    private String applicant;
    @Excel(name = "容器号")
    private String ctl;

    @Excel(name = "总价")
    private BigDecimal toMoney;
    @Excel(name = "批次号")
    private String batchNo;

    private String original;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getBusinessId() {
        return businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getLocationId() {
        return locationId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }

    public String getGoodsTo() {
        return goodsTo;
    }

    public void setGoodsTo(String goodsTo) {
        this.goodsTo = goodsTo;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getStorageId() {
        return storageId;
    }

    public void setStorageId(String storageId) {
        this.storageId = storageId;
    }

    public String getStorageShortName() {
        return storageShortName;
    }

    public void setStorageShortName(String storageShortName) {
        this.storageShortName = storageShortName;
    }

    public BigDecimal getShelvesNum() {
        return shelvesNum;
    }

    public void setShelvesNum(BigDecimal shelvesNum) {
        this.shelvesNum = shelvesNum;
    }

    public BigDecimal getGoodsNum() {
        return goodsNum;
    }

    public void setGoodsNum(BigDecimal goodsNum) {
        this.goodsNum = goodsNum;
    }

    public BigDecimal getCallShelvesNum() {
        return callShelvesNum;
    }

    public void setCallShelvesNum(BigDecimal callShelvesNum) {
        this.callShelvesNum = callShelvesNum;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getGoodsTypeId() {
        return goodsTypeId;
    }

    public void setGoodsTypeId(String goodsTypeId) {
        this.goodsTypeId = goodsTypeId;
    }

    public String getProviderId() {
        return providerId;
    }

    public void setProviderId(String providerId) {
        this.providerId = providerId;
    }

    public String getRecoil() {
        return recoil;
    }

    public void setRecoil(String recoil) {
        this.recoil = recoil;
    }

    public String getStorageAreaId() {
        return storageAreaId;
    }

    public void setStorageAreaId(String storageAreaId) {
        this.storageAreaId = storageAreaId;
    }

    public BigDecimal getPickNum() {
        return pickNum;
    }

    public void setPickNum(BigDecimal pickNum) {
        this.pickNum = pickNum;
    }

    public BigDecimal getTrNum() {
        return trNum;
    }

    public void setTrNum(BigDecimal trNum) {
        this.trNum = trNum;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getToLoc() {
        return toLoc;
    }

    public void setToLoc(String toLoc) {
        this.toLoc = toLoc;
    }

    public String getConfirmStatus() {
        return confirmStatus;
    }

    public void setConfirmStatus(String confirmStatus) {
        this.confirmStatus = confirmStatus;
    }

    public Date getExpiryDate() {
        return expiryDate;
    }

    public void setExpiryDate(Date expiryDate) {
        this.expiryDate = expiryDate;
    }

    public BigDecimal getStockNum() {
        return stockNum;
    }

    public void setStockNum(BigDecimal stockNum) {
        this.stockNum = stockNum;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getAbc() {
        return abc;
    }

    public void setAbc(String abc) {
        this.abc = abc;
    }

    public String getLevelType() {
        return levelType;
    }

    public void setLevelType(String levelType) {
        this.levelType = levelType;
    }

    public String getDeliveryId() {
        return deliveryId;
    }

    public void setDeliveryId(String deliveryId) {
        this.deliveryId = deliveryId;
    }

    public String getCkType() {
        return ckType;
    }

    public void setCkType(String ckType) {
        this.ckType = ckType;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getApplicant() {
        return applicant;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    public String getCtl() {
        return ctl;
    }

    public void setCtl(String ctl) {
        this.ctl = ctl;
    }

    public BigDecimal getToMoney() {
        return toMoney;
    }

    public void setToMoney(BigDecimal toMoney) {
        this.toMoney = toMoney;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getOriginal() {
        return original;
    }

    public void setOriginal(String original) {
        this.original = original;
    }

    @Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderId", getOrderId())
            .append("businessId", getBusinessId())
            .append("goodsId", getGoodsId())
            .append("goodsName", getGoodsName())
            .append("locationId", getLocationId())
            .append("specification", getSpecification())
            .append("unit", getUnit())
            .append("storageId", getStorageId())
            .append("shelvesNum", getShelvesNum())
            .append("goodsNum", getGoodsNum())
            .append("callShelvesNum", getCallShelvesNum())
            .append("price", getPrice())
            .append("goodsTypeId", getGoodsTypeId())
            .append("providerId", getProviderId())
            .append("recoil", getRecoil())
            .append("storageAreaId", getStorageAreaId())
            .append("pickNum", getPickNum())
            .append("trNum", getTrNum())
            .append("barcode", getBarcode())
            .append("status", getStatus())
            .append("toLoc", getToLoc())
            .append("confirmStatus", getConfirmStatus())
            .append("expiryDate", getExpiryDate())
            .append("stockNum", getStockNum())
            .append("taskId", getTaskId())
            .append("updateTime", getUpdateTime())
        .toString();
        }
}













